Show floating IP details#
指定したフローティングIPの詳細を表示します。
APIエンドポイント#
| リージョン | APIエンドポイント |
|---|---|
| 西日本リージョン3の場合 | https://networking.jp-west-3.cloud.global.fujitsu.com |
| 東日本リージョン3の場合 | https://networking.jp-east-3.cloud.global.fujitsu.com |
HTTPメソッドとURI#
GET
/v2.0/floatingips/{floatingip_id}
HTTPステータスコード#
正常時:200
エラー時:401, 403, 404
リクエストパラメータの説明#
| 名前 | In | Type | デフォルト値 /必須指定 |
Description |
|---|---|---|---|---|
| floatingip_id | path | string | 必須 | フローティングIPのID |
レスポンスボディ(正常系)の説明#
| 名前 | Type | Description |
|---|---|---|
| floatingip | object | フローティングIPのオブジェクト |
| router_id | string | 仮想ルータのID |
| status | string | フローティングIPのステータス 「ACTIVE」、「DOWN」、「ERROR」のどれかが表示されます。 |
| description | string | リソースの説明 |
| dns_domain | string | 有効なDNSのドメイン |
| dns_name | string | 有効なDNSネーム |
| tenant_id | string | プロジェクトのID |
| created_at | string | リソースの作成日時(UTC ISO8601形式) |
| updated_at | string | リソースの最終更新日(UTC ISO8601形式) |
| revision_number | integer | リソースの改訂番号 |
| project_id | string | プロジェクトのID |
| floating_network_id | string | フローティングIPに関連付けられているネットワークのID |
| fixed_ip_address | string | フローティングIPに関連付けられている固定IPアドレスID |
| floating_ip_address | string | フローティングIPアドレス |
| port_id | string | フローティングIPに関連付けられているポートのID |
| id | string | フローティングIPのID |
レスポンス例#
{ "floatingip": { "floating_network_id": "376da547-b977-4cfe-9cba-275c80debf57", "router_id": "d23abc8d-2991-4a55-ba98-2aaea84cc72f", "fixed_ip_address": "10.0.0.3", "floating_ip_address": "172.24.4.228", "project_id": "4969c491a3c74ee4af974e6d800c62de", "tenant_id": "4969c491a3c74ee4af974e6d800c62de", "status": "ACTIVE", "port_id": "ce705c24-c1ef-408a-bda3-7bbd946164ab", "id": "2f245a7b-796b-4f26-9cf9-9e82d248fda7", "description": "floating ip for testing", "dns_domain": "my-domain.org.", "dns_name": "myfip", "created_at": "2016-12-21T01:36:04Z", "updated_at": "2016-12-21T01:36:04Z", "revision_number": 1 } }